    Plot the ARF associated with a data set.

plot_arf(id=None, resp_id=None, replot=False, overplot=False, clearwindow=True, **kwargs)
id - int or str, optional
resp_id - int or str, optional
replot - bool, optional
overplot - bool, optional
clearwindow - bool, optional

Display the effective area curve from the ARF component of a PHA data set.

Plot the ARF for the default data set:

>>> plot_arf()

Plot the ARF from data set 1 and overplot the ARF from data set 2:

>>> plot_arf(1) >>> plot_arf(2, overplot=True)

Plot the ARFs labelled "arf1" and "arf2" for the "src" data set:

>>> plot_arf("src", "arf1") >>> plot_arf("src", "arf2", overplot=True)

The following example requires that the Matplotlib backend is selected, since this determines what extra keywords

`plot_arf` accepts. The ARFs from the default and data set 2 are drawn together, but the second curve is drawn with a dashed line.

>>> plot_arf(ylog=True) >>> plot_arf(2, overplot=True, linestyle='dashed')

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set with an ARF. If not given then the default identifier is used, as returned by `get_default_id` .
resp_id
Which ARF to use in the case that multiple ARFs are associated with a data set. The default is none , which means the first one.
replot
Set to True to use the values calculated by the last call to `plot_data` . The default is False .
overplot
If True then add the data to an existing plot, otherwise create a new plot. The default is False .
clearwindow
Should the existing plot area be cleared before creating this new plot (e.g. for multi-panel plots)?

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023